# Contribution Guidelines

Thank you for your interest in contributing to **HomeGallery**! We appreciate your support and enthusiasm for this project. While we welcome contributions from the community, please keep in mind that I am currently working on this project alone, so I may not be able to review and merge contributions as quickly as a larger team might. However, your contributions are still highly valued, and we will do our best to work together to make this project better.

## How to Contribute

If you'd like to contribute to **HomeGallery**, here are some ways you can help:

### Getting Started

If you're new to **HomeGallery**, browse the [demo web gallery](https://demo.home-gallery.org), check out the [documentation](https://docs.home-gallery.org) and explore the [codebase](https://github.com/xemle/home-gallery) to familiarize yourself with it. Feel free to ask questions if you need help or guidance. Do not hesitate to test the [community chat](https://gitter.im/home-gallery/community) and say hello!

### Reporting Issues

If you encounter a bug, have a feature request, or find something that could be improved, please feel free to [open an issue](https://github.com/xemle/home-gallery/issues) on our GitHub [repository](https://github.com/xemle/home-gallery). Be sure to provide as much detail as possible to help us understand the problem or enhancement you're suggesting.

**A Note on Feature Requests:** Ah, feature requests, the shining stars of our project galaxy! Now, here's a bit of wizardry insight: as the code base grows, so does its complexity. While I'd love to fulfill every feature request, the sands of time are not always on our side.

But fear not! While I may not have the magic wand to instantly add every user feature, I'm here to guide you through the mystical world of HomeGallery. If you're passionate about a feature, let's chat! I can offer support to help you dive into the topic, provide guidance, and even personal chats to unravel the mysteries. Your ideas are precious, and together, we might just make them a reality.

So, let's embark on this journey with a touch of patience, a dash of collaboration, and a sprinkle of good humor. Together, we'll make HomeGallery shine brighter than a shooting star!

### Submitting Pull Requests

If you have code changes or new features to propose, please make your ideas public first, before you [submit a pull request (PR)](https://github.com/xemle/home-gallery/pulls). We can discuss your big thing, review PRs as time allows and provide feedback. Please be patient, as it may take some time for us to merge and release your changes.

#### Contribution Guidelines

To ensure a smooth collaboration, please adhere to these guidelines when contributing:

* Fork the repository and create your branch from the `master` branch.
* Write clear and concise commit messages.
* Provide clear documentation for any new features or changes.
* Bonus if your change contains unit tests. Double the bonus for E2E tests.
* Be patient and understanding of potential delays in reviewing and merging your contributions.

### Documentation

Improving [documentation](https://docs.home-gallery.org) is always a valuable contribution. If you find any gaps or errors in our documentation, please let us know or submit a PR to the [documentation repository](https://github.com/xemle/home-gallery-doc) to enhance it.

### Community and Social Media

While I am the primary maintainer of this project, we encourage collaboration and a friendly, inclusive community. You can also help us gain more traction by following these social media guidelines:

- **Spread the Word:** If you find HomeGallery useful, please share it with your network. Mention us in your social media posts and encourage others to contribute or use our project.

- **Star the repository:** Please star the [repository](https://github.com/xemle/home-gallery) and subscribe to receive  notification on updates and changes.

- **Use Hashtags:** When sharing about HomeGallery on platforms like Twitter and Instagram, use relevant hashtags such as #HomeGallery #OpenSource to increase discoverability.

- **Engage with the Community:** Join discussions about HomeGallery on social media, respond to comments and questions, and encourage a positive and supportive community.

- **Showcase Contributions:** If you make a significant contribution to HomeGallery, consider sharing it on your social media profiles and tagging us. We'll be happy to highlight your work.

### Marketing and Publicity

I believe that effective marketing is crucial to reach a wider audience and make our project more accessible and valuable to users who manage their personal photo web gallery on their machine such as Windows, Mac, Linux or NAS (Network-Attached Storage). We are excited to invite individuals who are passionate about marketing and promotion to contribute their skills and ideas to help us bootstrap the publicity of our young open-source web gallery project.

#### How You Can Contribute to Marketing

1. **Content Creation:** Create engaging blog posts, articles, and tutorials related to HomeGallery's features and benefits for NAS users. Share your expertise on personal storage, digital asset management, and how HomeGallery can make a difference.

1. **SEO and Online Visibility:** Optimize our online presence to improve search engine rankings. Help us with keyword research, backlink building, and other SEO strategies to make HomeGallery more discoverable.

1. **Partnerships and Collaborations:** Explore opportunities for partnerships with NAS hardware manufacturers, tech bloggers, or relevant online communities. Collaborate to expand HomeGallery's reach.

1. **Visual Content Creation:** Design eye-catching graphics, banners, and promotional materials for HomeGallery. Visual content is essential for marketing effectiveness.

#### Why Contribute to Marketing?

- **Impact:** Your marketing efforts will directly contribute to increasing the awareness and adoption of HomeGallery, making a real difference in the lives of NAS users.

- **Skill Development:** Enhance your marketing skills, gain practical experience, and build a portfolio while working on an exciting open-source project.

- **Community:** Join a passionate and collaborative community of individuals who share your interest in photo applications for personal NAS and open source.

#### Getting Started

If you're interested in contributing to HomeGallery's marketing efforts, please reach out at join our [community chat](https://gitter.im/home-gallery/community). We're excited to collaborate with you and take our project to new heights through effective marketing and publicity.

## A Word from Your Friendly Developer

Now, here's a little secret: [HomeGallery](https://home-gallery.org) is my passion project, lovingly crafted during my spare time, squeezed in between work and family life. So, while I'd love to code around the clock, I sometimes need to pause for a cup of tea or two.

But fear not! In the spirit of collaboration and camaraderie, here's the scoop: if you're eager to see a specific feature in HomeGallery, roll up your sleeves, contribute in any way you can (even a small contribution goes a long way), and you might just see your dream feature come to life.

Thank you for considering joining our community at HomeGallery. Together, we'll make the digital realm a place of wonder and delight. Onward, to the land of endless possibilities!
